Like or unlike a gist
PUT
/gists/{uuid}/likeToggles the authenticated caller's like on the gist: if already liked it
is unliked, otherwise it is liked. Always returns 204 No Content on
success. Returns 404 when the gist isn't visible to the caller.
This like endpoint also accepts star in the path as an alias to keep
GitHub compatibility - e.g. /gists/{uuid}/star. The behavior is the same.
Request
Headers
| Name | Type | Scopes |
|---|---|---|
Authorizationrequired | string | user:write |
Path parameters
| Name | Type | Description |
|---|---|---|
uuidrequired | string | The gist's UUID. |
Responses
| Status | Body | Description |
|---|---|---|
204 | — | The like was toggled. |
401 | Error | Missing or invalid credentials. |
403 | Error | The token lacks the required scope or permission. |
404 | Error | The requested resource does not exist (or is not visible to the caller). |